Class | Nokogiri::XML::DocumentFragment
In: | lib/nokogiri/ffi/xml/document_fragment.rb lib/nokogiri/xml/document_fragment.rb ext/nokogiri/html_document.c
Parent: | Node

DocumentFragment represents a DocumentFragment node in an xml document.

### Methods

name new new parse serialize to_html to_s to_xhtml to_xml

### Public Class methods

new(document, tags=nil)
new(document)

Create a new DocumentFragment element on the `document`

parse(tags)

Create a Nokogiri::XML::DocumentFragment from `tags`

### Public Instance methods

name()

return the name for DocumentFragment

serialize()

Alias for to_s

to_html(*args)
to_s()
to_xhtml(*args)
to_xml(*args)

[Validate]